Bug 1150067 - Review Request: python-lazyarray - A lazily-evaluated numerical array class
Summary: Review Request: python-lazyarray - A lazily-evaluated numerical array class
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: python-pynn
TreeView+ depends on / blocked
 
Reported: 2014-10-07 11:41 UTC by Ankur Sinha (FranciscoD)
Modified: 2014-10-14 04:41 UTC (History)
1 user (show)

Fixed In Version: python-lazyarray-0.2.7-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 04:41:04 UTC
anto.trande: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2014-10-07 11:41:08 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-lazyarray/python-lazyarray.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-lazyarray/python-lazyarray-0.2.7-1.fc22.src.rpm

Description: 
lazyarray is a Python package that provides a lazily-evaluated numerical array
class, ``larray``, based on and compatible with NumPy arrays.

Lazy evaluation means that any operations on the array (potentially including
array construction) are not performed immediately, but are delayed until
evaluation is specifically requested. Evaluation of only parts of the array is
also possible.

Use of an ``larray`` can potentially save considerable computation time and
memory in cases where:

    * arrays are used conditionally (i.e. there are cases in which the array is
      never used)
    * only parts of an array are used (for example in distributed computation,
      in which each MPI node operates on a subset of the elements of the array)
      
Documentation: http://lazyarray.readthedocs.org/


Fedora Account System Username: ankursinha

Comment 1 Antonio 2014-10-07 19:08:17 UTC
- %{python3_sitelib}/%{module_name}* already includes .egg-info file
  located inside itself.

- Source archive provides tests in ./test directory.
  Why you dont perform them? 

- Some files in ./doc/* may be packaged as documentation. 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/lib/python2.7/site-
  packages/lazyarray-0.2.7-py2.7.egg-info
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/rpmbuild/SPECS/1150067-python-
     lazyarray/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.4/site-packages,
     /usr/lib/python3.4/site-packages/__pycache__, /usr/lib/python3.4
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.4/site-packages,
     /usr/lib/python3.4/site-packages/__pycache__, /usr/lib/python3.4
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Python:
[-]: Binary eggs must be removed in %prep
     Note: Test run failed
[x]: Python eggs must not download any dependencies during the build process.
     Note: Test run failed
[x]: A package which is used by another package via an egg interface should
     provide egg info.
     Note: Test run failed
[x]: Package meets the Packaging Guidelines::Python
     Note: Test run failed
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-lazyarray
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-lazyarray-0.2.7-1.fc22.noarch.rpm
          python3-lazyarray-0.2.7-1.fc22.noarch.rpm
          python-lazyarray-0.2.7-1.fc22.src.rpm
python-lazyarray.noarch: W: spelling-error %description -l en_US larray -> array, l array, Larry
python3-lazyarray.noarch: W: spelling-error %description -l en_US larray -> array, l array, Larry
python-lazyarray.src: W: spelling-error %description -l en_US larray -> array, l array, Larry
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-lazyarray python3-lazyarray
python-lazyarray.noarch: W: spelling-error %description -l en_US larray -> array, l array, Larry
python3-lazyarray.noarch: W: spelling-error %description -l en_US larray -> array, l array, Larry
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-lazyarray (rpmlib, GLIBC filtered):
    numpy
    python(abi)
    python3-numpy

python3-lazyarray (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-lazyarray:
    python-lazyarray

python3-lazyarray:
    python3-lazyarray



Source checksums
----------------
https://pypi.python.org/packages/source/l/lazyarray/lazyarray-0.2.7.tar.gz :
  CHECKSUM(SHA256) this package     : bac6b99528f79e0ca1f00301ba4d050bc58b7f7f3f13901b16f46f9bf9ccff01
  CHECKSUM(SHA256) upstream package : bac6b99528f79e0ca1f00301ba4d050bc58b7f7f3f13901b16f46f9bf9ccff01


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1150067
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Antonio 2014-10-07 19:14:34 UTC
> - %{python3_sitelib}/%{module_name}* already includes .egg-info file
>  located inside itself.

- %{python3_sitelib}/%{module_name}* already includes .egg-info file in %{python3_sitelib}.

Comment 3 Ankur Sinha (FranciscoD) 2014-10-08 07:37:24 UTC
Hi Antonio,

Updated spec/srpm:

Spec URL: https://ankursinha.fedorapeople.org/python-lazyarray/python-lazyarray.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-lazyarray/python-lazyarray-0.2.7-1.fc22.src.rpm

* Tue Oct 07 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.2.7-1
- Added tests
- Corrected file lists
- Added docs

rpmlint gives this output: 
python-lazyarray.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-lazyarray/html/objects.inv

but this file isn't a text file. It's a data file - 
[asinha@localhost  html]$ file objects.inv
objects.inv: data

sed doesn't correct it. Since it isn't text, do I need to look into how this should be corrected? It's possible that the data is confusing rpmlint. 

Thanks,
Warm regards,
Ankur

Comment 4 Antonio 2014-10-08 09:16:35 UTC
Just a comment:
all built documentation can be packaged in a -doc sub-package.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 10 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/1150067-python-lazyarray/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.4/site-packages,
     /usr/lib/python3.4/site-packages/__pycache__, /usr/lib/python3.4
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.4/site-packages,
     /usr/lib/python3.4/site-packages/__pycache__, /usr/lib/python3.4
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[!]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Python:
[-]: Binary eggs must be removed in %prep
     Note: Test run failed
[x]: Python eggs must not download any dependencies during the build process.
     Note: Test run failed
[x]: A package which is used by another package via an egg interface should
     provide egg info.
     Note: Test run failed
[x]: Package meets the Packaging Guidelines::Python
     Note: Test run failed
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[-]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-lazyarray
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-lazyarray-0.2.7-1.fc22.noarch.rpm
          python3-lazyarray-0.2.7-1.fc22.noarch.rpm
          python-lazyarray-0.2.7-1.fc22.src.rpm
python-lazyarray.noarch: W: spelling-error %description -l en_US larray -> array, l array, Larry
python-lazyarray.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-lazyarray/html/objects.inv
python3-lazyarray.noarch: W: spelling-error %description -l en_US larray -> array, l array, Larry
python3-lazyarray.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python3-lazyarray/html/objects.inv
python-lazyarray.src: W: spelling-error %description -l en_US larray -> array, l array, Larry
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-lazyarray python3-lazyarray
python-lazyarray.noarch: W: spelling-error %description -l en_US larray -> array, l array, Larry
python-lazyarray.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-lazyarray/html/objects.inv
python3-lazyarray.noarch: W: spelling-error %description -l en_US larray -> array, l array, Larry
python3-lazyarray.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python3-lazyarray/html/objects.inv
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-lazyarray (rpmlib, GLIBC filtered):
    numpy
    python(abi)

python3-lazyarray (rpmlib, GLIBC filtered):
    python(abi)
    python3-numpy



Provides
--------
python-lazyarray:
    python-lazyarray

python3-lazyarray:
    python3-lazyarray



Source checksums
----------------
https://pypi.python.org/packages/source/l/lazyarray/lazyarray-0.2.7.tar.gz :
  CHECKSUM(SHA256) this package     : bac6b99528f79e0ca1f00301ba4d050bc58b7f7f3f13901b16f46f9bf9ccff01
  CHECKSUM(SHA256) upstream package : bac6b99528f79e0ca1f00301ba4d050bc58b7f7f3f13901b16f46f9bf9ccff01


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1150067
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Ankur Sinha (FranciscoD) 2014-10-08 09:35:35 UTC
Hi Antonio,

Updated spec/srpm:

Spec URL: https://ankursinha.fedorapeople.org/python-lazyarray/python-lazyarray.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-lazyarray/python-lazyarray-0.2.7-1.fc22.src.rpm


* Wed Oct 08 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.2.7-1
- Split documentation to separate sub package


Thanks,
Warm regards,
Ankur

Comment 6 Antonio 2014-10-08 09:54:24 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #5)
> Hi Antonio,

Hi Ankur.

> 
> Updated spec/srpm:
> 
> Spec URL:
> https://ankursinha.fedorapeople.org/python-lazyarray/python-lazyarray.spec
> SRPM URL:
> https://ankursinha.fedorapeople.org/python-lazyarray/python-lazyarray-0.2.7-
> 1.fc22.src.rpm
> 
> 

Package approved.

Comment 7 Ankur Sinha (FranciscoD) 2014-10-08 11:41:18 UTC
Thank you Antonio :D


New Package SCM Request
=======================
Package Name: python-lazyarray
Short Description: A lazily-evaluated numerical array class
Upstream URL: https://bitbucket.org/apdavison/lazyarray/
Owners: ankursinha
Branches: f20 f21
InitialCC:

Comment 8 Gwyn Ciesla 2014-10-08 13:21:13 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-10-08 16:56:30 UTC
python-lazyarray-0.2.7-3.fc21,python-quantities-0.10.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-lazyarray-0.2.7-3.fc21,python-quantities-0.10.1-1.fc21

Comment 10 Fedora Update System 2014-10-08 16:56:39 UTC
python-lazyarray-0.2.7-3.fc20,python-quantities-0.10.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-lazyarray-0.2.7-3.fc20,python-quantities-0.10.1-1.fc20

Comment 11 Fedora Update System 2014-10-10 16:05:42 UTC
python-lazyarray-0.2.7-3.fc21, python-quantities-0.10.1-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 12 Fedora Update System 2014-10-14 04:41:04 UTC
python-lazyarray-0.2.7-3.fc21, python-quantities-0.10.1-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.